[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoKeyUpBeforeInterface

Handles a KeyUp event before the widget processes the key.

## Declaration

Source position: controls.pp line 2264

`protected function TWinControl.DoKeyUpBeforeInterface(`
`var Message: TLMKey`
`):Boolean;`

## Arguments

`Message` |  | Message examined in the method.

## Function result

True if the key was handled.

## Description

For details, see the TWinControl.DoKeyDownBeforeInterface method.